## python-openstacksdk 1.0.1

=== debian/changelog ===
python-openstacksdk (1.0.1-0ubuntu1~cloud0) jammy-antelope; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Tue, 28 Feb 2023 19:35:43 +0000

python-openstacksdk (1.0.1-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 28 Feb 2023 08:23:52 -0500

python-openstacksdk (0.103.0-0ubuntu1) lunar; urgency=medium

  * New upstream release for OpenStack Antelope.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 12 Jan 2023 15:28:06 -0500

python-openstacksdk (0.101.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Sep 2022 18:26:08 -0400

python-openstacksdk (0.99.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release for OpenStack Zed.
  * d/control: Update standards version to 4.6.1.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 31 May 2022 15:24:01 -0400

=== debian/control ===
Source: python-openstacksdk
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
Build-Depends-Indep:
 git,
 python3-appdirs (>= 1.3.0),
 python3-bs4 <!nodoc>,
 python3-coverage (>= 4.0),
 python3-cryptography (>= 2.7),
 python3-ddt (>= 1.0.1),
 python3-decorator (>= 4.4.1),
 python3-deprecation,
 python3-doc8 (>= 0.8.0),
 python3-docutils <!nodoc>,
 python3-dogpile.cache (>= 0.6.5),
 python3-extras (>= 1.0.0),
 python3-fixtures (>= 3.0.0),
 python3-hacking,
 python3-iso8601 (>= 0.1.11),
 python3-jmespath (>= 0.9.0),
 python3-jsonpatch (>= 1.16),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 3.18.0),
 python3-munch (>= 2.1.0),
 python3-netifaces (>= 0.10.4),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-service-types (>= 1.7.0),
 python3-oslo.config (>= 1:6.1.0),
 python3-oslotest (>= 1:3.2.0),
 python3-prometheus-client (>= 0.4.2),
 python3-pygments (>= 2.2.0),
 python3-requests-mock (>= 1.2.0),
 python3-requestsexceptions (>= 1.2.0),
 python3-six (>= 1.10.0),
 python3-statsd (>= 3.3.0),
 python3-stestr (>= 1.0.0),
 python3-subunit (>= 1.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-yaml (>= 3.13),
 subunit,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-openstacksdk
Homepage: https://opendev.org/openstack/openstacksdk

Package: python-openstacksdk-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: SDK for building applications to work with OpenStack - doc
 The python-openstacksdk is a collection of libraries for building applications
 to work with OpenStack clouds. The project aims to provide a consistent and
 complete set of interactions with OpenStack's many services, along with
 complete documentation, examples, and tools.
 .
 This SDK is under active development, and in the interests of providing a
 high-quality interface, the APIs provided in this release may differ from
 those provided in future release.
 .
 This package contains the documentation.

Package: python3-openstacksdk
Architecture: all
Depends:
 python3-appdirs (>= 1.3.0),
 python3-cryptography (>= 2.7),
 python3-decorator (>= 4.4.1),
 python3-deprecation,
 python3-dogpile.cache (>= 0.6.5),
 python3-iso8601 (>= 0.1.11),
 python3-jmespath (>= 0.9.0),
 python3-jsonpatch (>= 1.16),
 python3-keystoneauth1 (>= 3.18.0),
 python3-munch (>= 2.1.0),
 python3-netifaces (>= 0.10.4),
 python3-os-service-types (>= 1.7.0),
 python3-pbr (>= 2.0.0),
 python3-requestsexceptions (>= 1.2.0),
 python3-six (>= 1.10.0),
 python3-yaml (>= 3.13),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-openstacksdk-doc,
Description: SDK for building applications to work with OpenStack - Python 3.x
 The python-openstacksdk is a collection of libraries for building applications
 to work with OpenStack clouds. The project aims to provide a consistent and
 complete set of interactions with OpenStack's many services, along with
 complete documentation, examples, and tools.
 .
 This SDK is under active development, and in the interests of providing a
 high-quality interface, the APIs provided in this release may differ from
 those provided in future release.
 .
 This package contains the Python 3.x module.

## python-openstacksdk 1.5.0

=== debian/changelog ===
python-openstacksdk (1.5.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 04 Oct 2023 15:54:04 +0200

python-openstacksdk (1.5.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 31 Aug 2023 15:02:28 +0200

python-openstacksdk (1.4.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Aug 2023 17:39:49 +0200

python-openstacksdk (1.0.1-3) unstable; urgency=medium

  * Cleans better (Closes: #1046459).

 -- Thomas Goirand <zigo@debian.org>  Fri, 18 Aug 2023 09:48:04 +0200

python-openstacksdk (1.0.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Mon, 19 Jun 2023 10:54:15 +0200

python-openstacksdk (1.0.1-1) experimental; urgency=medium

  * New upstream release.
  * Removed munch from (build-)depends.

 -- Thomas Goirand <zigo@debian.org>  Wed, 22 Feb 2023 10:02:38 +0100

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr *.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	OS_LOG_CAPTURE=true pkgos-dh_auto_test --no-py2 'openstack\.tests\.unit\.(?!(.*baremetal\.v1\.test_proxy\.TestWaitForNodesProvisionState\.test_timeout_and_failures_not_fail.*|.*config\.test_loader\.TestLoader\.test__load_yaml_json_file_without_perm.*|.*cloud.test_security_groups\.TestSecurityGroups\.test_update_security_group_bad_kwarg.*|.*cloud\.test_port\.TestPort\.test_create_port_parameters.*|.*test_stats\.TestStats\.test_servers_error.*))'
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html doc/source debian/python-openstacksdk-doc/usr/share/doc/python-openstacksdk-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-openstacksdk 1.5.1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0
PyYAML>=3.13 # MIT
appdirs>=1.3.0 # MIT License
requestsexceptions>=1.2.0 # Apache-2.0
jsonpatch!=1.20,>=1.16 # BSD
os-service-types>=1.7.0 # Apache-2.0
keystoneauth1>=3.18.0 # Apache-2.0

decorator>=4.4.1 # BSD
jmespath>=0.9.0 # MIT
iso8601>=0.1.11 # MIT
netifaces>=0.10.4 # MIT

dogpile.cache>=0.6.5 # BSD
cryptography>=2.7 # BSD/Apache-2.0

importlib_metadata>=1.7.0;python_version<'3.8' # Apache-2.0

=== debian/changelog ===
python-openstacksdk (1.5.1-1~bpo12+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.

  [ Jenkins ]
  * Rebuilt by bop.

 -- Jenkins <jenkins@bookworm-bobcat.debian.net>  Tue, 30 Sep 2025 14:08:06 +0000

=== debian/control ===
Source: python-openstacksdk
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Build-Depends-Indep:
 git,
 python3-appdirs,
 python3-bs4 <!nodoc>,
 python3-coverage,
 python3-cryptography,
 python3-ddt,
 python3-decorator,
 python3-deprecation,
 python3-doc8,
 python3-docutils <!nodoc>,
 python3-dogpile.cache,
 python3-fixtures,
 python3-hacking,
 python3-importlib-metadata,
 python3-iso8601,
 python3-jmespath,
 python3-jsonpatch,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-netifaces,
 python3-openstackdocstheme <!nodoc>,
 python3-os-service-types,
 python3-oslo.config,
 python3-oslotest,
 python3-prometheus-client,
 python3-requests-mock,
 python3-requestsexceptions,
 python3-sphinxcontrib.svg2pdfconverter,
 python3-statsd,
 python3-stestr,
 python3-subunit,
 python3-testscenarios,
 python3-testtools,
 subunit,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-openstacksdk
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-openstacksdk.git
Homepage: https://opendev.org/openstack/openstacksdk

Package: python-openstacksdk-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: SDK for building applications to work with OpenStack - doc
 The python-openstacksdk is a collection of libraries for building applications
 to work with OpenStack clouds. The project aims to provide a consistent and
 complete set of interactions with OpenStack's many services, along with
 complete documentation, examples, and tools.
 .
 This SDK is under active development, and in the interests of providing a
 high-quality interface, the APIs provided in this release may differ from
 those provided in future release.
 .
 This package contains the documentation.

Package: python3-openstacksdk
Architecture: all
Depends:
 python3-appdirs,
 python3-cryptography,
 python3-decorator,
 python3-deprecation,
 python3-dogpile.cache,
 python3-importlib-metadata,
 python3-iso8601,
 python3-jmespath,
 python3-jsonpatch,
 python3-keystoneauth1,
 python3-netifaces,
 python3-os-service-types,
 python3-pbr,
 python3-requestsexceptions,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-openstacksdk-doc,
Description: SDK for building applications to work with OpenStack - Python 3.x
 The python-openstacksdk is a collection of libraries for building applications
 to work with OpenStack clouds. The project aims to provide a consistent and
 complete set of interactions with OpenStack's many services, along with
 complete documentation, examples, and tools.
 .
 This SDK is under active development, and in the interests of providing a
 high-quality interface, the APIs provided in this release may differ from
 those provided in future release.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
--- 
+++ 
@@ -25,6 +25,7 @@
 override_dh_sphinxdoc:
 ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
 	python3 -m sphinx -b html doc/source debian/python-openstacksdk-doc/usr/share/doc/python-openstacksdk-doc/html
+	#python3 -m sphinx -a -W -b latex -d doc/source debian/python-openstacksdk-doc/usr/share/doc/python-openstacksdk-doc
 	dh_sphinxdoc -O--buildsystem=python_distutils
 endif

## python-openstacksdk 3.0.0

=== requirements.txt ===
cryptography>=2.7 # BSD/Apache-2.0
decorator>=4.4.1 # BSD
dogpile.cache>=0.6.5 # BSD
iso8601>=0.1.11 # MIT
jmespath>=0.9.0 # MIT
jsonpatch!=1.20,>=1.16 # BSD
keystoneauth1>=3.18.0 # Apache-2.0
netifaces>=0.10.4 # MIT
os-service-types>=1.7.0 # Apache-2.0
pbr!=2.1.0,>=2.0.0 # Apache-2.0
platformdirs>=3 # MIT License
PyYAML>=3.13 # MIT
requestsexceptions>=1.2.0 # Apache-2.0

=== debian/changelog ===
python-openstacksdk (3.0.0-0ubuntu2~cloud0) jammy-caracal; urgency=medium

  * New update for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Thu, 21 Mar 2024 13:26:19 +0000

python-openstacksdk (3.0.0-0ubuntu2) noble; urgency=medium

  * d/control: Drop dependency on appdirs, replaced by platformdirs.

 -- James Page <james.page@ubuntu.com>  Thu, 21 Mar 2024 09:58:05 +0000

python-openstacksdk (3.0.0-0ubuntu1) noble; urgency=medium

  [ Corey Bryant ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    caracal.

  [ James Page ]
  * New upstream release for OpenStack Caracal.
  * d/control: Add python3-platformdirs to (Build-)Depends.

 -- James Page <james.page@canonical.com>  Mon, 11 Mar 2024 10:07:45 +0000

python-openstacksdk (1.5.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 05 Sep 2023 15:27:35 -0400

python-openstacksdk (1.4.0-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 31 Aug 2023 10:47:29 -0400

python-openstacksdk (1.3.1-0ubuntu1) mantic; urgency=medium

  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 11 Jul 2023 13:57:26 -0400

python-openstacksdk (1.2.0-0ubuntu1) mantic; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    bobcat.
  * d/p/skip-if-root.patch: Test skipped if build is running as root
    as lpci builds in .launchpad.yaml do.
  * New upstream release for OpenStack Bobcat.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 08 Jun 2023 17:00:58 -0400

=== debian/control ===
Source: python-openstacksdk
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
Build-Depends-Indep:
 git,
 python3-bs4 <!nodoc>,
 python3-coverage (>= 4.0),
 python3-cryptography (>= 2.7),
 python3-ddt (>= 1.0.1),
 python3-decorator (>= 4.4.1),
 python3-deprecation,
 python3-doc8 (>= 0.8.0),
 python3-docutils <!nodoc>,
 python3-dogpile.cache (>= 0.6.5),
 python3-extras (>= 1.0.0),
 python3-fixtures (>= 3.0.0),
 python3-hacking,
 python3-iso8601 (>= 0.1.11),
 python3-jmespath (>= 0.9.0),
 python3-jsonpatch (>= 1.16),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 3.18.0),
 python3-munch (>= 2.1.0),
 python3-netifaces (>= 0.10.4),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-service-types (>= 1.7.0),
 python3-oslo.config (>= 1:6.1.0),
 python3-oslotest (>= 1:3.2.0),
 python3-platformdirs (>= 3),
 python3-prometheus-client (>= 0.4.2),
 python3-pygments (>= 2.2.0),
 python3-requests-mock (>= 1.2.0),
 python3-requestsexceptions (>= 1.2.0),
 python3-six (>= 1.10.0),
 python3-statsd (>= 3.3.0),
 python3-stestr (>= 1.0.0),
 python3-subunit (>= 1.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-yaml (>= 3.13),
 subunit,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-openstacksdk
Homepage: https://opendev.org/openstack/openstacksdk

Package: python-openstacksdk-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: SDK for building applications to work with OpenStack - doc
 The python-openstacksdk is a collection of libraries for building applications
 to work with OpenStack clouds. The project aims to provide a consistent and
 complete set of interactions with OpenStack's many services, along with
 complete documentation, examples, and tools.
 .
 This SDK is under active development, and in the interests of providing a
 high-quality interface, the APIs provided in this release may differ from
 those provided in future release.
 .
 This package contains the documentation.

Package: python3-openstacksdk
Architecture: all
Depends:
 python3-cryptography (>= 2.7),
 python3-decorator (>= 4.4.1),
 python3-deprecation,
 python3-dogpile.cache (>= 0.6.5),
 python3-iso8601 (>= 0.1.11),
 python3-jmespath (>= 0.9.0),
 python3-jsonpatch (>= 1.16),
 python3-keystoneauth1 (>= 3.18.0),
 python3-munch (>= 2.1.0),
 python3-netifaces (>= 0.10.4),
 python3-os-service-types (>= 1.7.0),
 python3-pbr (>= 2.0.0),
 python3-platformdirs (>= 3),
 python3-requestsexceptions (>= 1.2.0),
 python3-six (>= 1.10.0),
 python3-yaml (>= 3.13),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-openstacksdk-doc,
Description: SDK for building applications to work with OpenStack - Python 3.x
 The python-openstacksdk is a collection of libraries for building applications
 to work with OpenStack clouds. The project aims to provide a consistent and
 complete set of interactions with OpenStack's many services, along with
 complete documentation, examples, and tools.
 .
 This SDK is under active development, and in the interests of providing a
 high-quality interface, the APIs provided in this release may differ from
 those provided in future release.
 .
 This package contains the Python 3.x module.

## python-openstacksdk 4.0.0

=== debian/changelog ===
python-openstacksdk (4.0.0-0ubuntu1~cloud0) noble-dalmatian; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- root <root@juju-0cd498-prod-ubuntu-openstack-backport-o-matic-7>  Wed, 25 Sep 2024 11:03:59 +0000

python-openstacksdk (4.0.0-0ubuntu1) oracular; urgency=medium

  * d/gbp.conf: upstream-branch -> upstream-dalmatian.
  * New upstream release for OpenStack Dalmatian.

 -- James Page <james.page@ubuntu.com>  Wed, 25 Sep 2024 09:56:26 +0100

python-openstacksdk (3.3.0-0ubuntu1) oracular; urgency=medium

  * New upstream release. 

 -- James Page <james.page@ubuntu.com>  Wed, 07 Aug 2024 08:39:40 +0100

## python-openstacksdk 4.0.1

=== debian/changelog ===
python-openstacksdk (4.0.1-3) unstable; urgency=medium

  * Blacklist test_network_segment_range_delete (Closes: #1091040).

 -- Thomas Goirand <zigo@debian.org>  Fri, 27 Dec 2024 09:44:14 +0100

python-openstacksdk (4.0.1-2) unstable; urgency=medium

  * Switch to pybuild (Closes: #1090546).

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Dec 2024 09:34:58 +0100

python-openstacksdk (4.0.1-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 01 Nov 2024 13:37:10 +0100

python-openstacksdk (4.0.0-4) unstable; urgency=medium

  * Blacklist in autopkgtest (because failing on ppc64el):
    - test_stats.TestStats.test_servers

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Oct 2024 09:22:33 +0200

python-openstacksdk (4.0.0-3) unstable; urgency=medium

  * Blacklist non-deterministic unit test (Closes: #1084147):
    - identity.v3.test_proxy.TestIdentityProxyRegion.test_region_update

 -- Thomas Goirand <zigo@debian.org>  Sun, 13 Oct 2024 23:31:08 +0200

python-openstacksdk (4.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 19 Sep 2024 17:12:05 +0200

python-openstacksdk (4.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 03 Sep 2024 11:41:52 +0200

python-openstacksdk (3.3.0-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 27 Aug 2024 16:00:46 +0200

python-openstacksdk (3.0.0-3) unstable; urgency=medium

  * Removed depends on python3-appdirs (Closes: #1067995).

 -- Thomas Goirand <zigo@debian.org>  Thu, 11 Apr 2024 10:37:54 +0200

python-openstacksdk (3.0.0-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Thu, 04 Apr 2024 10:43:57 +0200

python-openstacksdk (3.0.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 24 Feb 2024 18:04:25 +0100

=== debian/control ===
Source: python-openstacksdk
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Build-Depends-Indep:
 git,
 python3-bs4 <!nodoc>,
 python3-coverage,
 python3-cryptography,
 python3-ddt,
 python3-decorator,
 python3-deprecation,
 python3-doc8,
 python3-docutils <!nodoc>,
 python3-dogpile.cache,
 python3-fixtures,
 python3-hacking,
 python3-iso8601,
 python3-jmespath,
 python3-jsonpatch,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-netifaces,
 python3-openstackdocstheme <!nodoc>,
 python3-os-service-types,
 python3-oslo.config,
 python3-oslotest,
 python3-platformdirs (>= 3),
 python3-prometheus-client,
 python3-requests-mock,
 python3-requestsexceptions,
 python3-sphinxcontrib.svg2pdfconverter,
 python3-statsd,
 python3-stestr,
 python3-subunit,
 python3-testscenarios,
 python3-testtools,
 subunit,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-openstacksdk
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-openstacksdk.git
Homepage: https://opendev.org/openstack/openstacksdk

Package: python-openstacksdk-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: SDK for building applications to work with OpenStack - doc
 The python-openstacksdk is a collection of libraries for building applications
 to work with OpenStack clouds. The project aims to provide a consistent and
 complete set of interactions with OpenStack's many services, along with
 complete documentation, examples, and tools.
 .
 This SDK is under active development, and in the interests of providing a
 high-quality interface, the APIs provided in this release may differ from
 those provided in future release.
 .
 This package contains the documentation.

Package: python3-openstacksdk
Architecture: all
Depends:
 python3-cryptography,
 python3-decorator,
 python3-deprecation,
 python3-dogpile.cache,
 python3-iso8601,
 python3-jmespath,
 python3-jsonpatch,
 python3-keystoneauth1,
 python3-netifaces,
 python3-os-service-types,
 python3-pbr,
 python3-platformdirs (>= 3),
 python3-requestsexceptions,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-openstacksdk-doc,
Description: SDK for building applications to work with OpenStack - Python 3.x
 The python-openstacksdk is a collection of libraries for building applications
 to work with OpenStack clouds. The project aims to provide a consistent and
 complete set of interactions with OpenStack's many services, along with
 complete documentation, examples, and tools.
 .
 This SDK is under active development, and in the interests of providing a
 high-quality interface, the APIs provided in this release may differ from
 those provided in future release.
 .
 This package contains the Python 3.x module.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr *.egg-info
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# Non-deterministic. See https://bugs.debian.org/1084147
	# openstack.tests.unit.identity.v3.test_proxy.TestIdentityProxyRegion.test_region_update
	# Non-deterministic: See https://bugs.debian.org/1091040
	# openstack.tests.unit.network.v2.test_proxy.TestNetworkNetworkSegment.test_network_segment_range_delete
	OS_LOG_CAPTURE=true pkgos-dh_auto_test --no-py2 'openstack\.tests\.unit\.(?!(.*baremetal\.v1\.test_proxy\.TestWaitForNodesProvisionState\.test_timeout_and_failures_not_fail.*|.*config\.test_loader\.TestLoader\.test__load_yaml_json_file_without_perm.*|.*cloud.test_security_groups\.TestSecurityGroups\.test_update_security_group_bad_kwarg.*|.*cloud\.test_port\.TestPort\.test_create_port_parameters.*|.*test_stats\.TestStats\.test_servers_error.*|identity\.v3\.test_proxy\.TestIdentityProxyRegion\.test_region_update|network\.v2\.test_proxy\.TestNetworkNetworkSegment\.test_network_segment_range_delete))'
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html doc/source debian/python-openstacksdk-doc/usr/share/doc/python-openstacksdk-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-openstacksdk 4.2.0

=== debian/changelog ===
python-openstacksdk (4.2.0-0ubuntu1) plucky; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    epoxy.
  * New upstream release for OpenStack Epoxy.
  * d/control: Align (Build-)Depends with upstream, drop surplus
    dependencies.

 -- James Page <james.page@ubuntu.com>  Wed, 15 Jan 2025 17:07:38 +0000

## python-openstacksdk 4.4.0

=== requirements.txt ===
--- 
+++ 
@@ -5,9 +5,10 @@
 jmespath>=0.9.0 # MIT
 jsonpatch!=1.20,>=1.16 # BSD
 keystoneauth1>=3.18.0 # Apache-2.0
-netifaces>=0.10.4 # MIT
 os-service-types>=1.7.0 # Apache-2.0
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 platformdirs>=3 # MIT License
+psutil>=3.2.2 # BSD
 PyYAML>=3.13 # MIT
 requestsexceptions>=1.2.0 # Apache-2.0
+typing-extensions>=4.12.0 # PSF

=== debian/changelog ===
python-openstacksdk (4.4.0-5) unstable; urgency=medium

  * autopkgtest: disable many tests on riscv64: the arch is too slow and
    timeouts.

 -- Thomas Goirand <zigo@debian.org>  Tue, 15 Apr 2025 15:21:30 +0200

python-openstacksdk (4.4.0-4) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Fri, 28 Mar 2025 09:25:49 +0100

python-openstacksdk (4.4.0-3) experimental; urgency=medium

  * Blacklist TestCompute.test_server_group_delete_ignore.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 13:38:51 +0100

python-openstacksdk (4.4.0-2) experimental; urgency=medium

  * Blacklist TestBgpSpeaker.test_add_bgp_speaker_to_dragent.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 13:24:35 +0100

python-openstacksdk (4.4.0-1) experimental; urgency=medium

  * New upstream release.
  * Blacklist TestBackwardsCompatibility.test_project_password.
  * d/watch: switch to version=4 and mode=git.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Mon, 03 Mar 2025 12:33:58 +0100

=== debian/control ===
--- 
+++ 
@@ -31,13 +31,13 @@
  python3-jsonpatch,
  python3-jsonschema,
  python3-keystoneauth1,
- python3-netifaces,
  python3-openstackdocstheme <!nodoc>,
  python3-os-service-types,
  python3-oslo.config,
  python3-oslotest,
  python3-platformdirs (>= 3),
  python3-prometheus-client,
+ python3-psutil,
  python3-requests-mock,
  python3-requestsexceptions,
  python3-sphinxcontrib.svg2pdfconverter,
@@ -46,6 +46,7 @@
  python3-subunit,
  python3-testscenarios,
  python3-testtools,
+ python3-typing-extensions,
  subunit,
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-openstacksdk
@@ -82,11 +83,12 @@
  python3-jmespath,
  python3-jsonpatch,
  python3-keystoneauth1,
- python3-netifaces,
  python3-os-service-types,
  python3-pbr,
  python3-platformdirs (>= 3),
+ python3-psutil,
  python3-requestsexceptions,
+ python3-typing-extensions,
  ${misc:Depends},
  ${python3:Depends},
 Suggests:

=== debian/watch ===
version=4
opts="mode=git,uversionmangle=s/\.0rc/~rc/;s/\.0b1/~b1/;s/\.0b2/~b2/;s/\.0b3/~b3/" \
https://github.com/openstack/python-openstacksdk refs/tags/(\d[brc\d\.]+)

## python-openstacksdk 4.6.0+git2025070814.83fc95d25

=== debian/changelog ===
python-openstacksdk (4.6.0+git2025070814.83fc95d25-0ubuntu2) questing; urgency=medium

  * d/rules: Include PBR version.
  * d/s/options: Ignore .launchpad.yaml when generating diffs.
  * d/control: Downgrade python-typing-extensions

 -- Myles Penner <myles.penner@canonical.com>  Tue, 22 Jul 2025 09:11:35 -0700

python-openstacksdk (4.6.0+git2025070814.83fc95d25-0ubuntu1) questing; urgency=medium

  [ Guillaume Boutry ]
  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    flamingo.

  [ Myles Penner ]
  * New upstream release for OpenStack Flamingo. (LP: #2116155)
  * d/p/skip-if-root.patch: Refresh.
  * d/control: Align (Build-)Depends with upstream.

 -- Myles Penner <myles.penner@canonical.com>  Tue, 15 Jul 2025 07:03:00 -0700

python-openstacksdk (4.4.0-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Thu, 27 Feb 2025 12:47:34 +0000

python-openstacksdk (4.3.0-0ubuntu1) plucky; urgency=medium

  * New upstream release for OpenStack Epoxy.

 -- James Page <james.page@ubuntu.com>  Thu, 13 Feb 2025 12:35:16 +0000

=== debian/control ===
Source: python-openstacksdk
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 2.0.0),
 python3-sphinxcontrib.svg2pdfconverter (>= 0.1.0),
Build-Depends-Indep:
 git,
 python3-bs4,
 python3-cryptography (>= 2.7),
 python3-ddt (>= 1.0.1),
 python3-decorator (>= 4.4.1),
 python3-deprecation,
 python3-docutils (>= 0.11),
 python3-dogpile.cache (>= 0.6.5),
 python3-extras (>= 1.0.0),
 python3-fixtures (>= 3.0.0),
 python3-hacking,
 python3-iso8601 (>= 0.1.11),
 python3-jmespath (>= 0.9.0),
 python3-jsonpatch (>= 1.16),
 python3-jsonschema (>= 3.2.0),
 python3-keystoneauth1 (>= 5.10.0),
 python3-munch (>= 2.1.0),
 python3-openstackdocstheme (>= 2.2.1),
 python3-os-service-types (>= 1.7.0),
 python3-oslo.config (>= 1:6.1.0),
 python3-oslotest (>= 1:3.2.0),
 python3-platformdirs (>= 3),
 python3-prometheus-client (>= 0.4.2),
 python3-psutil (>= 3.2.2),
 python3-pygments (>= 2.2.0),
 python3-requests-mock (>= 1.2.0),
 python3-requestsexceptions (>= 1.2.0),
 python3-statsd (>= 3.3.0),
 python3-stestr (>= 1.0.0),
 python3-subunit (>= 1.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-typing-extensions (>= 4.10.0),
 python3-yaml (>= 3.13),
 subunit,
Standards-Version: 4.6.1
Vcs-Git: https://git.launchpad.net/~ubuntu-openstack-dev/ubuntu/+source/python-openstacksdk
Homepage: https://opendev.org/openstack/openstacksdk

Package: python-openstacksdk-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: SDK for building applications to work with OpenStack - doc
 The python-openstacksdk is a collection of libraries for building applications
 to work with OpenStack clouds. The project aims to provide a consistent and
 complete set of interactions with OpenStack's many services, along with
 complete documentation, examples, and tools.
 .
 This SDK is under active development, and in the interests of providing a
 high-quality interface, the APIs provided in this release may differ from
 those provided in future release.
 .
 This package contains the documentation.

Package: python3-openstacksdk
Architecture: all
Depends:
 python3-cryptography (>= 2.7),
 python3-decorator (>= 4.4.1),
 python3-deprecation,
 python3-dogpile.cache (>= 0.6.5),
 python3-iso8601 (>= 0.1.11),
 python3-jmespath (>= 0.9.0),
 python3-jsonpatch (>= 1.16),
 python3-keystoneauth1 (>= 5.10.0),
 python3-munch (>= 2.1.0),
 python3-os-service-types (>= 1.7.0),
 python3-pbr (>= 2.0.0),
 python3-platformdirs (>= 3),
 python3-psutil (>= 3.2.2),
 python3-requestsexceptions (>= 1.2.0),
 python3-typing-extensions (>= 4.10.0), 
 python3-yaml (>= 3.13),
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-openstacksdk-doc,
Description: SDK for building applications to work with OpenStack - Python 3.x
 The python-openstacksdk is a collection of libraries for building applications
 to work with OpenStack clouds. The project aims to provide a consistent and
 complete set of interactions with OpenStack's many services, along with
 complete documentation, examples, and tools.
 .
 This SDK is under active development, and in the interests of providing a
 high-quality interface, the APIs provided in this release may differ from
 those provided in future release.
 .
 This package contains the Python 3.x module.

## python-openstacksdk 4.7.0

=== debian/changelog ===
python-openstacksdk (4.7.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Sat, 30 Aug 2025 15:13:00 +0200

## python-openstacksdk 4.7.1

=== requirements.txt ===
--- 
+++ 
@@ -4,8 +4,8 @@
 iso8601>=0.1.11 # MIT
 jmespath>=0.9.0 # MIT
 jsonpatch!=1.20,>=1.16 # BSD
-keystoneauth1>=3.18.0 # Apache-2.0
-os-service-types>=1.7.0 # Apache-2.0
+keystoneauth1>=5.10.0 # Apache-2.0
+os-service-types>=1.8.0 # Apache-2.0
 pbr!=2.1.0,>=2.0.0 # Apache-2.0
 platformdirs>=3 # MIT License
 psutil>=3.2.2 # BSD

=== doc/requirements.txt ===
docutils>=0.11 # OSI-Approved Open Source, Public Domain
openstackdocstheme>=2.2.1 # Apache-2.0
reno>=3.1.0 # Apache-2.0
sphinx>=2.0.0,!=2.1.0 # BSD
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD

=== debian/changelog ===
python-openstacksdk (4.7.1-0ubuntu1) questing; urgency=medium

  * New upstream release for OpenStack Flamingo (LP: #2125012).
  * d/watch: Add Flamingo key verification.
  * d/u/signing-key.asc: Add Flamingo public key.
  * d/watch: Update version detection.
  * d/control: Align (Build-)Depends with upstream.

 -- Myles Penner <myles.penner@canonical.com>  Mon, 22 Sep 2025 07:40:26 -0700

=== debian/control ===
--- 
+++ 
@@ -34,7 +34,7 @@
  python3-keystoneauth1 (>= 5.10.0),
  python3-munch (>= 2.1.0),
  python3-openstackdocstheme (>= 2.2.1),
- python3-os-service-types (>= 1.7.0),
+ python3-os-service-types (>= 1.8.0),
  python3-oslo.config (>= 1:6.1.0),
  python3-oslotest (>= 1:3.2.0),
  python3-platformdirs (>= 3),
@@ -86,12 +86,12 @@
  python3-jsonpatch (>= 1.16),
  python3-keystoneauth1 (>= 5.10.0),
  python3-munch (>= 2.1.0),
- python3-os-service-types (>= 1.7.0),
+ python3-os-service-types (>= 1.8.0),
  python3-pbr (>= 2.0.0),
  python3-platformdirs (>= 3),
  python3-psutil (>= 3.2.2),
  python3-requestsexceptions (>= 1.2.0),
- python3-typing-extensions (>= 4.10.0), 
+ python3-typing-extensions (>= 4.10.0),
  python3-yaml (>= 3.13),
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
#!/usr/bin/make -f

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/[+].*//' -e 's/~git.*//g' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	OS_TEST_TIMEOUT=300 OS_LOG_CAPTURE=false OS_STDOUT_CAPTURE=true OS_STDERR_CAPTURE=true pkgos-dh_auto_test --no-py2
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html doc/source debian/python-openstacksdk-doc/usr/share/doc/python-openstacksdk-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

=== debian/tests/control ===
Tests: python-import
Depends:
 @,
 @builddeps@,
Restrictions: allow-stderr

=== debian/watch ===
version=3
opts=uversionmangle=s/\.(b|rc)/~$1/,pgpsigurlmangle=s/$/.asc/ \
    http://tarballs.opendev.org/openstack/openstacksdk/ openstacksdk-(\d.*)\.tar\.gz

## python-openstacksdk 4.7.2

=== debian/changelog ===
python-openstacksdk (4.7.2-3) unstable; urgency=medium

  * Cleans better (Closes: #1046459).

 -- Thomas Goirand <zigo@debian.org>  Mon, 09 Feb 2026 18:47:26 +0100

python-openstacksdk (4.7.2-2) unstable; urgency=medium

  * Add py3.14_fix-annotations.patch.
  * Add py3.14_fix-timeout-wait.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 05 Dec 2025 11:25:11 +0100

python-openstacksdk (4.7.2-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Wed, 03 Dec 2025 11:40:30 +0100

python-openstacksdk (4.7.1-2) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Sun, 28 Sep 2025 18:23:32 +0200

python-openstacksdk (4.7.1-1) experimental; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Fri, 12 Sep 2025 08:50:47 +0200

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=pybuild --with python3,sphinxdoc

override_dh_auto_clean:
	rm -rf build .stestr *.egg-info .pybuild
	find . -iname '*.pyc' -delete
	for i in $$(find . -type d -iname __pycache__) ; do rm -rf $$i ; done

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2 --in-tmp
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	# Non-deterministic. See https://bugs.debian.org/1084147
	# openstack.tests.unit.identity.v3.test_proxy.TestIdentityProxyRegion.test_region_update
	# Non-deterministic: See https://bugs.debian.org/1091040
	# openstack.tests.unit.network.v2.test_proxy.TestNetworkNetworkSegment.test_network_segment_range_delete
	# Does not work with /tmp as tmpfs:
	# openstack.tests.unit.config.test_config.TestBackwardsCompatibility.test_project_password
	# Failing on bookworm backports, maybe non-deterministic:
	# network.v2.test_bgp_speaker.TestBgpSpeaker.test_add_bgp_speaker_to_dragent
	# compute.v2.test_proxy.TestCompute.test_server_group_delete_ignore
	OS_LOG_CAPTURE=true pkgos-dh_auto_test --no-py2 'openstack\.tests\.unit\.(?!(.*baremetal\.v1\.test_proxy\.TestWaitForNodesProvisionState\.test_timeout_and_failures_not_fail.*|.*config\.test_loader\.TestLoader\.test__load_yaml_json_file_without_perm.*|.*cloud.test_security_groups\.TestSecurityGroups\.test_update_security_group_bad_kwarg.*|.*cloud\.test_port\.TestPort\.test_create_port_parameters.*|.*test_stats\.TestStats\.test_servers_error.*|identity\.v3\.test_proxy\.TestIdentityProxyRegion\.test_region_update|network\.v2\.test_proxy\.TestNetworkNetworkSegment\.test_network_segment_range_delete|config\.test_config\.TestBackwardsCompatibility\.test_project_password|network\.v2\.test_bgp_speaker\.TestBgpSpeaker\.test_add_bgp_speaker_to_dragent|compute\.v2\.test_proxy\.TestCompute\.test_server_group_delete_ignore))'
endif

override_dh_auto_test:
	echo "Do nothing..."

override_dh_sphinxdoc:
ifeq (,$(findstring nodoc, $(DEB_BUILD_OPTIONS)))
	python3 -m sphinx -b html doc/source debian/python-openstacksdk-doc/usr/share/doc/python-openstacksdk-doc/html
	dh_sphinxdoc -O--buildsystem=pybuild
endif

override_dh_python3:
	dh_python3 --shebang=/usr/bin/python3

## python-openstacksdk 4.8.0

=== debian/changelog ===
python-openstacksdk (4.8.0-0ubuntu1) resolute; urgency=medium

  * d/gbp.conf, .launchpad.yaml: Sync from cloud-archive-tools for
    gazpacho.
  * New upstream version 4.8.0
  * d/watch: update for new upstream
  * d/u/signing-key.asc: update for gazpacho
  * d/patches/*: refresh patches
  * New upstream release for OpenStack Gazpacho. (LP: #2138121)
  * d/p/fix-py314-resource-annotations.patch: Add patch for Python 3.14.

 -- Myles Penner <myles.penner@canonical.com>  Fri, 16 Jan 2026 15:06:19 -0800

=== debian/watch ===
version=4
opts=uversionmangle=s/\.(b|rc)/~$1/,pgpsigurlmangle=s/$/.asc/ \
    http://tarballs.opendev.org/openstack/openstacksdk/ openstacksdk-(\d.*)\.tar\.gz

## python-openstacksdk 4.10.0

=== debian/changelog ===
python-openstacksdk (4.10.0-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Removed py3.14_fix-annotations.patch applied upstream.

 -- Thomas Goirand <zigo@debian.org>  Tue, 24 Feb 2026 15:04:12 +0100

=== debian/control ===
Source: python-openstacksdk
Section: python
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 Thomas Goirand <zigo@debian.org>,
 Michal Arbet <michal.arbet@ultimum.io>,
Build-Depends:
 debhelper-compat (= 10),
 dh-python,
 openstack-pkg-tools,
 python3-all,
 python3-pbr,
 python3-setuptools,
 python3-sphinx <!nodoc>,
Build-Depends-Indep:
 git,
 python3-bs4 <!nodoc>,
 python3-coverage,
 python3-cryptography,
 python3-ddt,
 python3-decorator,
 python3-deprecation,
 python3-doc8,
 python3-docutils <!nodoc>,
 python3-dogpile.cache,
 python3-fixtures,
 python3-hacking,
 python3-iso8601,
 python3-jmespath,
 python3-jsonpatch,
 python3-jsonschema,
 python3-keystoneauth1,
 python3-openstackdocstheme <!nodoc>,
 python3-os-service-types (>= 1.8.1),
 python3-oslo.config,
 python3-oslotest,
 python3-platformdirs,
 python3-prometheus-client,
 python3-psutil,
 python3-requests-mock,
 python3-requestsexceptions,
 python3-sphinxcontrib.svg2pdfconverter,
 python3-statsd,
 python3-stestr,
 python3-subunit,
 python3-testscenarios,
 python3-testtools,
 python3-typing-extensions,
 subunit,
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/openstack-team/libs/python-openstacksdk
Vcs-Git: https://salsa.debian.org/openstack-team/libs/python-openstacksdk.git
Homepage: https://opendev.org/openstack/openstacksdk

Package: python-openstacksdk-doc
Build-Profiles: <!nodoc>
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: SDK for building applications to work with OpenStack - doc
 The python-openstacksdk is a collection of libraries for building applications
 to work with OpenStack clouds. The project aims to provide a consistent and
 complete set of interactions with OpenStack's many services, along with
 complete documentation, examples, and tools.
 .
 This SDK is under active development, and in the interests of providing a
 high-quality interface, the APIs provided in this release may differ from
 those provided in future release.
 .
 This package contains the documentation.

Package: python3-openstacksdk
Architecture: all
Depends:
 python3-cryptography,
 python3-decorator,
 python3-deprecation,
 python3-dogpile.cache,
 python3-iso8601,
 python3-jmespath,
 python3-jsonpatch,
 python3-keystoneauth1,
 python3-os-service-types (>= 1.8.1),
 python3-pbr,
 python3-platformdirs,
 python3-psutil,
 python3-requestsexceptions,
 python3-typing-extensions,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python-openstacksdk-doc,
Description: SDK for building applications to work with OpenStack - Python 3.x
 The python-openstacksdk is a collection of libraries for building applications
 to work with OpenStack clouds. The project aims to provide a consistent and
 complete set of interactions with OpenStack's many services, along with
 complete documentation, examples, and tools.
 .
 This SDK is under active development, and in the interests of providing a
 high-quality interface, the APIs provided in this release may differ from
 those provided in future release.
 .
 This package contains the Python 3.x module.
